Subject: Re: Exim, .forward and DBD::Oracle
From: "Martin Gainty" <[email-masked]>
To: "Dmitry Melekhov" <[email-masked]>, "Harald Maier" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 13 Apr 2003 09:35:40 -0700

----- Original Message -----
From: "Dmitry Melekhov" <[email-masked]>
To: "Harald Maier" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, April 13, 2003 6:46 AM
Subject: Re: Exim, .forward and DBD::Oracle

>
> ----- Original Message -----
> From: <[email-masked]>
> To: "Dmitry Melekhov" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Saturday, April 12, 2003 10:08 PM
> Subject: Re: Exim, .forward and DBD::Oracle
>
>
> > "Dmitry Melekhov" <[email-masked]> writes:
> >
> > >> Can you call your script as following:
> > >>
> > >>   $ ORACLE_HOME=c:/oracle/ora81 <this script>
> > >
> > > I tried to set this as
> > >   environment="ORACLE_HOME='c:\oracle\ora81'"
> > > environment="ORACLE_HOME='c:\oracle\ora81'"
> > > in pipe configuration in exim.conf, but this doesn't help. Well,
> situation
> > > becomes differernt, I received  error:
> > > DynaLoader::bootstrap for DBD::Oracle (auto/DBD/Oracle/Oracle.dll)
> > > DBI connect('host=oracle.belkam.com;sid=TABEL','tabel',...) failed:
> Error
> > > while trying to retrieve text for error ORA-12538 (DBD ERROR:
> > > OCIServerAttach) at /home/tabel/test.pl line 11
> > > Died at /home/tabel/test.pl line 11.
> >
> >
> > Now the ORACLE_HOME seems to be correct, but from the error message
> > above it looks that something is wrong in the specification of your
> > remote oracle service. Here the description of the Oracle Error.
> >
> > $ oerr ora 12538
> > 12538, 00000, "TNS:no such protocol adapter"
> > // *Cause: The protocol adapter requested (by way of the "(PROTOCOL=..)"
> > // keyword-value pair in a TNS address) is unknown. If the supplied
> address
> > // is typographically correct then the protocol adaptor is not
installed.
> > // *Action: Install the protocol adapter or correct typographically
error,
> > // as appropriate.  Note: if the supplied address was derived from
> > // resolving the service name, check the address in the appropriate file
> > // (TNSNAMES.ORA, LISTENER.ORA or TNSNET.ORA).
> >
>
> May be this is security problem, may be something else.
> I have the same situation if I run script from .forward as SYSTEM without
> pre-setting ORACLE_HOME outside of script.
>
> Looks very strange, but...
> Anyway, now I have working combination, which is good enough for me :-)
> Thank you!!!
>
Please display the solution.
-M

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/